<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Teilnehmer\KursUebersicht\Detailsreiter\Storno;

class HandleStornoView extends \Kufer\KuferTools\Basis\View\ViewSight
{
  public function show()
  {
    if ($this->viewModel->doppeltVersandt) {
      return $this->getNoColumn();
    }

    return parent::show();
  }

  public function getTemplatePathRelative()
  {
    return 'teilnehmer/kursuebersicht/detailsreiter/storno_bestaetigung.sgt';
  }

  protected function getNoColumnDataModulArray()
  {
    return array($this->viewModel->kurs);
  }

  protected function getDefaultDataModulArray()
  {
    $this->viewModel->kurs->stornoStatus = $this->viewModel->stornoStatus;

    return array($this->viewModel->kurs);
  }

  protected function getDefaultExportAdaper()
  {
    return new \ExpKurse();
  }
}

class HandleStornoViewModel
{
  public $kurs;
  public $doppeltVersandt;
  public $stornoStatus;
}